@import '../../sass/variables';

:host{
  align-items: center;
  display: flex;
  font-family: $font-family;
  justify-content: center;
  height: 100%;
}

.btn{
  background-color: $green;
  border: 0;
  border-radius: 13px;
  box-sizing: border-box;
  color: $white;
  cursor: pointer;
  display: block;
  font-size: 1em;
  font-weight: bold;
  padding: 1em 1.5em;
  text-align: center;
  outline: 0;
  width: 100%;

  &.signup{
    background-color: transparent;
    border: 2px $green solid;
    color: $green;
  }
}

.button-wrapper{
  margin-top: 1.5em;
  width: 100%;
}

.divider{
  border: 1px $grey solid;
  margin: 1.5em 0;
}

.error-msg{
  color: $red;
}

.field{
  border: 0px;
  border-radius: 4px;
  box-sizing: border-box;
  display: block;
  font-size: 1em;
  outline: 0;
  padding: 0.5em;
  width: 100%;
}

label{
  display: block;
  padding-left: 0.8em;
}

.login-wrapper{
  background-color: $lighten-grey;
  box-shadow: 0px 4px 4px rgba(0,0,0,0.2);
  border-top: 4px $blue solid;
  font-size: 14px;
  font-stretch: normal;
  font-style: normal;
  font-weight: bold;
  padding: 1em;
  width: 300px;
}

.logo-wrapper{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;

  & img{
    width: 280px;
  }
}

.top-space{
  margin-top: 1em;
}
